Subject: Re: bug#14886: Fwd: A significant slowdown calling font-lock-fontify-buffer from a hook

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Jul 2013 18:04:28 +0300

> X-Spam-Status: No, score=-101.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
> 	T_DKIM_INVALID,USER_IN_WHITELIST autolearn=disabled version=3.3.2
> From: Juanma Barranquero <[email-masked]>
> Date: Wed, 17 Jul 2013 11:04:18 +0200
> Cc: [email-masked]
> 
> On Wed, Jul 17, 2013 at 6:02 AM, Eli Zaretskii <[email-masked]> wrote:
> 
> > Then I guess we have no clear idea what we are talking about.
> 
> No, but even if not always manitests itself in the same way, the
> slowdown is quite real. I've had to remove column-marker-1 from my
> hook or wait 30+ seconds to load big C files...

Efficient debugging of a problem needs a simple test case that you can
easily run and modify to test various hypotheses.  If we must always
run this from weird --eval arguments on the command line, and on top
of that call fontification from an obscure mode hook, the debugging
will be anything but easy.

I suggest to try to simplify the test case.